Skip to main content

Vault History Daily Apy (v1.0.0)

Download OpenAPI specification:Download

API Documentation for Vault History Daily Apy

GetVaultDailyApy

GetVaultDailyApy returns one APY value per calendar day for a vault.

Authorizations:
bearerAuth
query Parameters
vaultAddress
string (vault_address)

vault_address is the bech32 address of the vault account. Exactly one of vault_address or share_denom must be set.

shareDenom
string (share_denom)

share_denom is the share token denom for the vault (e.g. nuva.share.nuylds.beta1). Exactly one of vault_address or share_denom must be set.

startDate
string (start_date)

start_date is the optional inclusive start of the date range (YYYY-MM-DD).

endDate
string (end_date)

end_date is the optional inclusive end of the date range (YYYY-MM-DD).

Responses

Response samples

Content type
application/json
{
  • "apy": [
    ]
}